﻿
/* Overlay */
.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,0.5);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Container */
.modal-container {
    background: #fff;
    border-radius: 10px;
    width: 656px;
    max-width: 95%;
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.25);
    overflow: visible;
}

/* Header */
.modal-header {
    display: flex;
    align-items: center;
    padding: 24px 24px 0 24px;
    border: none;
    border-radius: 12px 12px 00px 0px
}

.modal-icon {
    width: 26px;
    height: 26px;
    margin-right: 10px;
}

.modal-title {
    font-size: 24px;
    font-weight: 400;
}

/* Body */
.modal-body {
    font-size: 18px;
    color: #333;
    padding: 24px 24px 0 24px;
    line-height: 1.5;
}

/* Footer */
.modal-footer {
    display: flex;
    justify-content: flex-end;
    padding: 24px;
    border: none;
}

/* Buttons */
.btn {
    padding: 6px 16px;
    border-radius: 2px;
    cursor: pointer;
    border: none;
    font-size: 16px;
}

.left-btn {
    margin-right: auto;
}

.primary-btn {
    color: #fff;
    background-color: #004F98;
    border: 1px solid #2F6EAC;
}

    .primary-btn:hover {
        background-color: #2F6EAC;
        color: white;
    }

.secondary-btn {
    background-color: #fff;
    color: #004F98;
    border: 1px solid #004F98;
}

    .secondary-btn:hover {
        border-color: #2F6EAC;
        color: #2F6EAC;
    }

.modal-scope .dropdown {
    position: relative;
    display: inline-block;
}

.modal-scope .dropdown-menu {
    position: absolute;
    top: 100%;
    right: 0;
    margin-top: 4px;
    background: #fff;
    border: 1px solid #ccc;
    min-width: 180px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.2);
    list-style: none;
    padding: 5px 0;
    z-index: 10001;
    display: block;
}

    .modal-scope .dropdown-menu.ng-hide {
        display: none !important;
    }

    .modal-scope .dropdown-menu li {
        padding: 8px 12px;
        cursor: pointer;
    }

        .modal-scope .dropdown-menu li:hover {
            background: #f0f0f0;
        }
